

clear all
clc
close all
%welldata containing Vp, Vs, Rho to be used to calculate Stiffness
%coefficients
mydata=xlsread('block39_org.xlsx');
% mydata=xlsread('all_blocksgas.xlsx');
%defining column matrices with N inputs where N stands for the total number
%of thin layers to be scaled to a single layer.
N=40;
Depth=zeros(N,1);
Vp=zeros(N,1);
Vs=zeros(N,1);
Rho=zeros(N,1);
%% Asigning values to Vp,Vs, depth and rho from the imported data files
Depth=mydata(:,1);
rho=mydata(:,2);
vp=mydata(:,3);
vs=mydata(:,4);
Vp=vp/1000;
Vs=vs/1000;


%Calculatin9g the stiffness coefficients for each layer assuming isotropic
%media
for j=1:N;
    c33(j)=(Vp(j))^2*rho(j);
    c44(j)=(Vs(j))^2*rho(j);
    c11(j)=c33(j);
    c66(j)=c44(j);
    c12(j)=c33(j)-2*c66(j);
    c13(j)=c12(j);
    A(j)=c11(j)-(((c13(j))^2)/c33(j)); 
    B(j)=c13(j)/c33(j); 
    D(j)=(c33(j))^(-1); 
    E(j)=(c44(j))^(-1);   
end
%Formation of the effective homogeneous media through upscaling usung
%Backus averaging technique 
    A1=mean(A);
    B1=mean(B);
    D1=mean(D);
    E1=mean(E);
    C11=A1+(B1^2*D1^(-1));
    C33=D1^(-1);
    C13=B1*D1^(-1);
    C44=E1^(-1);
    C66=mean(c66);
    Rho=mean(rho);
%calculating the effective medium veolocities and anisotropic parameters 
% epson, delata and gamma
Vp0=(C33/Rho)^0.5;
Vs0=(C44/Rho)^0.5;
epson=(C11-C33)/(2*C33);
delta=((C13+C44)^2-(C33-C44)^2)/((2*C33)*(C33-C44));
gamma=(C66-C44)/(2*C44);

final=[Vp0 Vs0 Rho epson delta gamma];
% stiffness = [C11 C13 C33 C44 C66]
% Constants =[A1 B1 D1 E1]
% Cons =[A A1 B B1 E E1 D D1]
fprintf('%f\n', final)
xlswrite('block39',final);
    
